Before running, make sure to do `source setup.sh` to add the current directory to your PYTHONPATH

Example command `python BioCycle.py --input_file input_file.tsv --output_dir result_directory/`


Additional BioCycle arguments:

parser.add_argument('--start_period', type=float, default=20.0, help="The lower bound of the range of periods to "
                                                                         "search for.")
parser.add_argument('--end_period', type=float, default=28.0, help="The upper bound of the range of periods to "
                                                                       "search for")

# nnet Training
parser.add_argument('--num_hidden', type=int, default=1000, help="Number of hidden units")
parser.add_argument('--act', type=str, default="splash", help="Type of activation function")
parser.add_argument('--train_itrs', type=int, default=500, help="Number of training iterations")
parser.add_argument('--batch_size', type=int, default=100, help="Batch size for training")
parser.add_argument('--nnet_dir', type=str, default="saved_nnets", help="Directory for saving trained nnets")
parser.add_argument('--retrain_binary', action='store_true', default=False,
                    help="Retrain binary nnet if already exists")
parser.add_argument('--retrain_period', action='store_true', default=False,
                    help="Retrain nnet for estimating period if already exists")
parser.add_argument('--lr', type=float, default=0.001, help="Initial learning rate")
parser.add_argument('--pval_comb', type=str, default="friston", help="")
parser.add_argument('--lr_d', type=float, default=0.99996, help="Learning rate decay for every iteration. "
                                                                "Learning rate is decayed according to: "
                                                                "lr * (lr_d ^ itr)")
